- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
IWORKPath.cpp File Reference
`#include "IWORKPath.h"`
`#include <cassert>`
`#include <deque>`
`#include <sstream>`
`#include <utility>`
`#include <boost/fusion/include/adapt_struct.hpp>`
`#include <boost/spirit/include/qi.hpp>`
`#include <boost/variant.hpp>`
`#include "libetonyek_utils.h"`
`#include "IWORKTypes.h"`

## Classes
struct | libetonyek::MoveTo
struct | libetonyek::LineTo
struct | libetonyek::CurveTo
struct | libetonyek::IWORKPath::Impl

## Namespaces
| libetonyek

## Typedefs
typedef boost::variant< MoveTo, LineTo, CurveTo > | libetonyek::PathElement_t
typedef std::deque< PathElement_t > | libetonyek::Path_t